Create a guest identity for the shared playlist. If you give the guest_id of a guest created from this link, the route returns this guest with the code 200. Else the route creates a new guest and returns it with the code 201. The route never reuses a guest by name. You do not need an account. The token of the link is the credential. If the link has a password, give it in the password query parameter.
POST
/shared/playlists/{token}/guest
curl \
--request POST '/api/shared/playlists/{token}/guest' \
--header "Content-Type: application/json" \
--data '{
"first_name": "Guest",
"last_name": "string",
"guest_id": "string"
}'
Request examples
{
"first_name": "Guest",
"last_name": "string",
"guest_id": "string"
}
Response examples (200)
{}
Response examples (201)
{}